Bug 984256 - F19 Xorg segfault at startup
F19 Xorg segfault at startup
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2013-07-14 02:10 EDT by Morgan Howe
Modified: 2015-02-18 09:00 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-02-18 09:00:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Xorg log (35.75 KB, text/x-log)
2013-07-14 02:10 EDT, Morgan Howe
no flags Details

  None (edit)
Description Morgan Howe 2013-07-14 02:10:29 EDT
Created attachment 773222 [details]
Xorg log

Description of problem:
Just upgraded to F19 from F18. When gdm starts, Xorg fails to start and a segfault pointing to OsLookupColor can be seen in the stack trace in the log file.

Version-Release number of selected component (if applicable): Not sure which component is specifically the culprit:

How reproducible: Always

Steps to Reproduce:
1. Boot the system/start gdm

Actual results: Segfault in log, boot VT stays at systemd service startup list. Only VTs available.

Expected results: Boot to GDM

Additional info:
Comment 1 Morgan Howe 2013-07-14 02:13:09 EDT
Could possibly be related to, or a dupe of, https://bugzilla.redhat.com/show_bug.cgi?id=965605
Comment 2 Morgan Howe 2013-08-01 01:38:17 EDT
I pulled and built the latest mesa from git for the radeonsi_dri.so which seems to fix the problem.
Comment 3 Dave Airlie 2013-08-01 20:24:59 EDT
did you actually build upstream mesa with the same flags as we build Fedora mesa?
Comment 4 Morgan Howe 2013-08-01 20:42:34 EDT
I just built upstream with the defaults chosen by ./configure. I will look into where to get the flags used by Fedora (or please point me in the right direction if you can) and confirm.
Comment 5 Dave Airlie 2013-08-01 20:53:14 EDT

is a scratch build with the latest upstream stable build, maybe see if installing that helps.
Comment 6 Morgan Howe 2013-08-02 21:11:35 EDT
As was discussed on the mailing list, it turns out this is a Gallium specific issue that still exists in upstream. I have filed a bug with Mesa.

Comment 7 Fedora End Of Life 2015-01-09 17:12:10 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2015-02-18 09:00:08 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.